#!/bin/sh
node_prefix6="2a06:8782:ffbb:bab0:"
prefix6="2a06:8782:ffbb:bab1:"
node_client_prefix6="fd2f:5119:f2c::"

dump="$(ip -6 r s t default-freifunk )"

route_ap=$(echo "$dump" | grep -v "/" | grep -c $node_prefix6 )
route_client=$(echo "$dump" | grep -v "/" | grep -c $prefix6 )
route_fec0=$(echo "$dump" | grep -v "/" | grep -c $node_client_prefix6 )
route_other=$(echo "$dump" | grep -v "/" \
        | grep -v $node_prefix6 \
        | grep -v $prefix6 \
        | grep -v $node_client_prefix6 \
        | grep -v "unreachable" \
        | grep -v "default" \
        | wc -l )
route_net=$(echo "$dump" | grep -c "/" )
route_total=$(echo "$dump" | wc -l )

echo "route_babel ap=${route_ap}i,client=${route_client}i,fec0=${route_fec0}i,other=${route_other}i,net=${route_net}i,total=${route_total}i"
